\begin{figure}[ht]
\begin{center}
\begin{pspicture}(0,0)(9,3)
\rput(0,2){$\atfa[1]'$:}
\cnodeput[linestyle=dashed](1,2){q1}{$\state[1]$}
\cnodeput(3.5,2){q2a}{$\state[2a]$}
\cnodeput(7,2){q2b}{$\state[2b]$}
\cnodeput[doubleline=true](9,2){q3}{$\state[3]$}

\ncline{->}{q1}{q2a}
\goto{\clock{a}{}{\atimer=0}}
\ncarc[arcangleA=135,arcangleB=135,ncurv=3]{->}{q2a}{q2a}
\goto{\clock{b}{}{}}
\ncline{->}{q2a}{q2b}
\goto{\clock{b}{\atimer<10}{}}
\ncline{->}{q2b}{q3}
\goto{c}

\ncangle[angleA=270,angleB=270]{->}{q2a}{q3}
\goto[c]{}

%%%%%%%% A2:
\rput(0,0){$\atfa[2]'$:}
\cnodeput[linestyle=dashed](1,0){q4}{$\state[1]$}
\cnodeput(3.33,0){q5}{$\state[2]$}
\cnodeput(5.66,0){q6}{$\state[3]$}
\cnodeput[doubleline=true](9,0){q7}{$\state[4]$}
\ncline{->}{q4}{q5}
\goto[{$\atimer[2]=0$}]{$\atimer[1]=0$}
\ncline{->}{q5}{q6}
\goto{\timer{\atimer[1]<10}}
\ncline{->}{q6}{q7}
\goto{\timer{\atimer[2]<20}}

\end{pspicture}
\end{center}
\caption{Equivalent, well-formed versions of automata from Figure~\ref{fig:malformed}.}
\label{fig:wellformed}
\end{figure}

\endinput
